> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/telewellness-portal/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/telewellness-portal/api-reference/members/update-members-program.md).

# Update member's program

Use the `updateMemberProgram` to update the program assigned to a member.

### Required Arguments

| Argument    | Type | Description                                                                                              |
| ----------- | ---- | -------------------------------------------------------------------------------------------------------- |
| `programId` | ID   | Unique ID of a [program](https://docs.suggestic.com/coaching-portal/api-references/members/program-list) |
| `memberId`  | ID   | Unique ID of a [member](https://docs.suggestic.com/coaching-portal/api-references/members/members-list)  |

## Available Fields

The following fields will be displayed in the response:

| **Field Name** | **Type** | **Description**                                                                       |
| -------------- | -------- | ------------------------------------------------------------------------------------- |
| `success`      | string   | **True** if the user has program has been updated  successfully. Otherwise, **False** |
| `message`      | string   | Description of the result                                                             |

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  updateMemberProgram(input: {
            memberId: "TWVtYmVyOjBhMTA3YWM5LTg4Y2EtNGJkYy1iOTdhLWIyODE4NDA1ODVjZA==",
            programId: "UHJvZ3JhbTo0NDIzYTgwNy0wNGFiLTQwOGItODk1Mi00YWU5NzA5NmQ2YjQ="
  }) {
    success
    message
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "updateMemberProgram": {
      "success": true,
      "message": "Member's program updated"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/telewellness-portal/api-reference/members/update-members-program.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
